﻿Public Class FilePathsConfig
    ''' <summary>
    ''' Der Pfad zum Verzeichnis der Wetter-App.
    ''' </summary>
    Public ReadOnly AppDirectory As String = "C:\WetterApp"
    ''' <summary>
    ''' Der Basispfad für die Wetterdaten-Dateien.
    ''' </summary>
    Public Property präfixPath As String
    Public ReadOnly filePath As String = "A:\Wetterdaten\"

    ' Die Frage, brauche ich das  überhaupt???
    Public ReadOnly yfilePath As String = "A:\Wetterdaten\Jahresdaten\"

    ''' <summary>
    ''' Der Pfad zum Verzeichnis für Wetter-Backups.
    ''' </summary>
    Public ReadOnly BackupDirectory As String = "WetterbackUp"
    ''' <summary>
    ''' Der Suffix für die Wetterdaten-Dateien.
    ''' Der Suffix esteht aus Monat und Jahr. Zum Beispiel: 02-2023
    ''' </summary>
    Public Property fileSufix As String
    ''' <summary>
    ''' Der Präfix für die Wetterdaten-Dateien.
    ''' </summary>
    Public ReadOnly filePräfix As String = ".xml"
    ''' <summary>
    ''' Der vollständige Pfad zur XML-Datei der Wetterdaten.
    ''' </summary>
    Public ReadOnly Property XMLFileName As String
        Get
            Return Path.Combine(filePath, präfixPath, fileSufix & filePräfix)
        End Get
    End Property
End Class
